
import '../generated/json/base/json_field.dart';
import '../generated/json/message.g.dart';
import 'cattle_resume_entity.dart';

@JsonSerializable()
class MessageModel{

  String? id;
  /** 0未读，1已读  */
  String? state;
  int? num;
  String? title;
  String? type;
  String? createTime;

  String? detail;

  MessageModel();

  factory MessageModel.fromJson(Map<String, dynamic> json) => $MessageModelFromJson(json);

  Map<String, dynamic> toJson() => $MessageModelToJson(this);
}